#!/bin/bash

echo "launch gazebo"
tmux new-session -d \; \
    send-keys "bash run_docker_im.sh" C-m \;

# sleep 5
echo "spawn a human"
tmux new-window \; \
    send-keys "docker exec -it sim bash src/t_all.sh t2" \;

# sleep 5
echo "setup components"
tmux new-window \; \
    send-keys "docker exec -it sim bash src/t_all.sh t3m" \;

# sleep 15
echo "run HRI engines"
tmux new-window \; \
    send-keys "docker exec -it sim bash src/t_all.sh t4m" \;

# sleep 15
echo "run SA"
tmux new-window \; \
    send-keys "docker exec -it sim bash src/t_all.sh t5" \;

# sleep 30
echo "operate human to walk"
tmux new-window \; \
    send-keys "docker exec -it sim bash src/t_all.sh t5a" \;
echo "finish script"

tmux a
